lm.component('pageSetBrowser', {
	templateUrl: 'comp/page_usr/pageSetBrowser.' + lmCacheTag + 'html',
	bindings: {},
	$canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
		return serviceLimboMedia.isAuthenticated();
	},
	controller: function($scope, $http, serviceLimboMedia, serviceNotification, serviceUpload) {
		var ctrl = this;

		ctrl.settings = null;
		ctrl.availablePages = ['HOME', 'FILEMEDIA', 'BOOKMARKS', 'TODOS', 'NOTES', 'IOT'];
		ctrl.videoApproaches = ['DEFAULT','P360','P720','P1080'];
		
		ctrl.saveSettings = function() {
			serviceLimboMedia.saveRemoteSettings();
		}
		
		ctrl.init = function() {
			ctrl.settings = serviceLimboMedia.getRemoteSettings();
			if(ctrl.settings.initialPage == null) ctrl.settings.initialPage = 'HOME';
			if(ctrl.settings.videoApproach == null) ctrl.settings.videoApproach = 'DEFAULT';
		}
		
		ctrl.init();
  }
});