lm.component('lmDateRange', {
  templateUrl: 'comp/misc/lmDateRange.' + lmCacheTag + 'html',
  bindings: {
	  daterange: '<',	// {from: moment(), to: moment() }
	  onChange: '&'		// onChange callback
  },
  controller: function($scope, $element, $http, $translate, serviceLimboMedia,serviceNotification) {
	  var ctrl = this;
	  
	  ctrl.availableRanges = ['HOUR','DAY','WEEK','MONTH', 'YEAR','RANGE_ALL'];
	  ctrl.range = ctrl.availableRanges[1]; 
	  
	  ctrl.rangeChanged = function() {
		  var from = null;
		  if('HOUR' == ctrl.range) from = moment().subtract(1,'hour');
		  else if('DAY' == ctrl.range) from = moment().subtract(1,'days');
		  else if('WEEK' == ctrl.range) from = moment().subtract(1,'weeks');
		  else if('MONTH' == ctrl.range) from = moment().subtract(1,'months');
		  else if('YEAR' == ctrl.range) from = moment().subtract(1,'years');
		  else from = moment().subtract(100, 'years');
		  
		  ctrl.daterange.from = from;
		  ctrl.daterange.to = moment().add(5,'minutes');
		  ctrl.onChange();
	  };
  }
});
