lm.component('lmUiCheckbox', {
  templateUrl: 'comp/ui/lmUiCheckbox.' + lmCacheTag + 'html',
  bindings: {
	  label: '@',
	  ngModel: '=',
	  ngDisabled: '=',
	  ngChange: '&'
  },
  transclude: {
      'labelSlot': '?lmUixLabel'
  },
  controller: function($scope, $element, $timeout) {
	  var ctrl = this;
	  
	  ctrl.onClick = function() {
		  if(ctrl.ngDisabled) return;
		  
		  ctrl.ngModel = !!!ctrl.ngModel;
		  $timeout(function() {
			  // if(ctrl.ngChange) {
				  ctrl.ngChange();
			  // }
		  });
	  }
  }
});
